<ng-container>
  <nav class="navbar navbar-dark bg-dark">
    <h1 style="color: green;">HulkStore</h1>

    <form class="form-inline">
      <span class="navbar-text">
        <input class="form-control mr-sm-2 ml-4" [(ngModel)]="filter" name="filter" type="search"
          placeholder="Código o Nombre" aria-label="Search">
        <button class="btn btn-outline-success my-2 mr-2 my-sm-0" type="button"
          (click)="this.filterProducts()">Buscar</button>
        <button class="btn btn-outline-success my-2 my-sm-0" type="button" (click)="this.ngOnInit()">Limpiar</button>
      </span>
    </form>

    <div class="form-inline">
      <span class="navbar-text">
        <button class="btn btn-outline-success my-2 my-sm-0" type="button" (click)="this.openModal()">Agregar Nuevo
          Producto</button>
      </span>
    </div>




    <!-- <img src="/docs/4.1/assets/brand/bootstrap-solid.svg" width="30" height="30" alt=""> -->
  </nav>

  <div class="row">
    <div class="col">
      <table style="background-color: rgba(255, 255,255, 0.70);"
        class="table table table-hover table-bordered table-striped table-sm">
        <thead class="thead-dark">
          <tr>
            <th>Fecha Ingreso</th>
            <th>Código</th>
            <th>Nombre</th>
            <th>Descripción</th>
            <th>Cantidad en Stock</th>
            <th>Tipo de producto</th>
            <th>Marca</th>
            <th>Acciones</th>

          </tr>
        </thead>
        <tbody *ngFor="let row of rows">
          <tr>
            <td>{{ row.createdDate| date }}</td>
            <td>{{ row.id }}</td>
            <td>{{ row.name }}</td>
            <td>{{ row.description}}</td>
            <td>{{ row.quantity }}</td>
            <td>{{ row.productTypeId.name }}</td>
            <td>{{ row.brandId.name }}</td>
            <td>
              <!--Botón Ver Detalles-->
              <button type="button" style="color: green;" (click)="this.addMessage(row)"
                class="btn green btn-raised padding-center button-size margin-right">
                <i class="fa fa-plus"></i>
              </button>
              <!--Botón Actualizar-->
              <button type="button" style="color: red;" *ngIf="row.quantity>0" (click)="this.removeMessage(row)"
                class="btn blue btn-raised button-size margin-right">
                <i class="fa fa-minus"></i>
              </button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</ng-container>
